Subject: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jun 2018 17:54:16 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 25 Jun 2018 11:49:58 +0100
> 
> I'm using this function in my Eglot package, but only because of its
> ability to preserve markers, not text properties. And only one marker in
> particular, the point marker.  So I wonder if sth like a
> replace-buffer-contents-no-properties could be added: according to your
> analysis it could be significantly faster.

I doubt that, because keeping markers needs the same technique:
deletions interspersed with insertions, where both deletions and
insertions are as small as possible.

However, I'm working on profiling this command with better
granularity, so maybe I will have additional ideas for speeding it up.

(You should only see the slowness if there are a lot of small
differences scattered all over the buffers.  A few large differences
close together should let the function's optimized algorithm to do a
better job.)